import java.util.*;

public class Company //extends GenericCompany implements Itr1, It2
{
    private String name;
    
    public Company(String n) {
        this.name = n;
    }
    
    public String toString() {
        return "Company " + name;
    }
    
    public String getName() {
        return name;
    }  
    
    public boolean equals(Object obj) {
        if (!(obj instanceof Company)) {
            return false;
        }
        Company c = (Company) obj;
        return getName().equals(c.getName());
    }
    
    public int hashCode() {
        //return name.hashCode();
        return Objects.hashCode(name);
    }
}

















