public class Person 
{
    private int yearOfBirth;
    
    private String name;
    
    public Person(String name, int yob) {
        this.name = name;
        this.yearOfBirth = yob;
    }
    
    public String getName() {
        return this.name;
    }
    
    public boolean equals(Object obj) {
        if (!(obj instanceof Person)) { // porusuje symetrii
        //if (this.getClass() != obj.getClass()) { // porusije Liskov substitution principle
            return false;
        }
        
        if (obj == this) {
            return true;
        }
        
        Person p = (Person) obj;
        return (yearOfBirth == p.yearOfBirth && name.equals(p.name));
    }
    
    public int hashCode() {
        int hash = 343;
        hash = hash * 31 + yearOfBirth;
        hash = hash * 31 + name.hashCode();
        return hash;
    }
}